Name:           python-weaviate-cli
Version:        3.2.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Command line interface to interact with weaviate

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/weaviate/weaviate-cli/blob/main/README.rst
Source:         %{pypi_source weaviate_cli}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'weaviate-cli' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-weaviate-cli
Summary:        %{summary}

%description -n python3-weaviate-cli %_description


%prep
%autosetup -p1 -n weaviate_cli-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-weaviate-cli -f %{pyproject_files}


%changelog
%autochangelog